=== debian/changelog ===
qtmir (0.6.1-7) unstable; urgency=medium

  * debian/libqtmirserver1.symbols:
    + Update for architectures arm64, m68k, mips64el and sh4.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 14 Mar 2021 21:36:52 +0100

qtmir (0.6.1-6) unstable; urgency=medium

  * debian/control:
    + Limit qtmir to linux-any architecture builds.
  * debian/patches:
    + Add 0001_demo-fix-detecting-running-installed.patch,
      0002_demos-fix-application-name.patch. Fix loading demo shell and demo
      client.
    + Add 2004_qml-demo-shell-work-without-ui-toolkit.patch. Make qml-demo-shell
      work without lomiri-ui-toolkit.
  * debian/rules:
    + Move qtmir-demo-shell files to the correct location.
  * debian/qtmir-tests.install:
    + Pick up files for qtmir-demo-shell and qtmir-demo-client from the correct
      location (as moved around by d/rules).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Mar 2021 21:08:51 +0100

qtmir (0.6.1-5) unstable; urgency=medium

  * debian/control:
    + Replace D (qtmir-tests): qtdeclarative5-qtmir-plugin by qml-module-qtmir,
      drop from D (qtmir-tests): autopilot-qt5 and python3-autopilot. (Closes:
      #977134).
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/qtmir-tests.install:
    + Drop DATADIR/qtmir/benachmarks/* from qtmir-tests bin:pkg.
  * debian/patches:
    + Add 2003_disable-benchmarks.patch. No autopilot in Debian, so let's build
      qtmir without dependency on it (i.e. without benchmarks).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Dec 2020 16:32:50 +0100

qtmir (0.6.1-4) unstable; urgency=medium

  * debian/libqtmirserver1.symbols:
    + Update for armel architecture. (Closes: #973423).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 19:56:05 +0100

qtmir (0.6.1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1008_drop-Werror-enforcement-leave-it-to-configure-option.patch. Fix
      disabling -Werror via CMake configure option.
  * debian/rules:
    + Build with CMake option '-DWerror=OFF'. (Closes: #973437).
  * debian/libqtmirserver1.symbols:
    + Update after rebuild against Qt 5.15 (amd64 only for now).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 17:45:48 +0100

qtmir (0.6.1-2) unstable; urgency=medium

  * debian/control:
    + Only require valgrind as B-D on architectures where it is available on.
  * debian/patches:
    + Add 1007_make-valgrind-dependency-optional.patch. Make Valgrind an
      optional build dependency.
  * debian/libqtmirserver1.symbols:
    + Update symbols for armhf i386 mipsel ppc64el.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Oct 2020 14:33:37 +0100

qtmir (0.6.1-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #971257).
  * debian/*:
    + Rename bin:pkg qtdeclarative5-qtmir-plugin to qml-module-qtmir.
  * debian/watch:
    + Add file.
  * debian/control:
    + Adjust B-Ds for googletest.
    + Drop B-D libcontent-hub-dev.
    + Drop B-D on libcgmanager-dev. (Package not available in Debian anymore).
    + Drop B-D on libmirclient-dev. Not required anymore with qtmir 0.6.1.
    + Fix dev:pkg name provided by lomiri-app-launch.
    + Fix versioned B-D on lomiri-api-dev. Remnant of Unity8 -> Lomiri
      migration.
    + Update versioned B-D: cmake-extras (>= 1.5-4~).
    + Drop from B-D: qt5-default (meta package).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
    + Add Vcs-*: fields.
    + Assure binNMU'ability between bin:pkgs in this src:pkg.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Add B-D pkg-kde-tools.
    + Drop Section: field duplicating global Section: field.
    + Improve LONG_DESCRIPTION fields of two bin:pkgs.
    + Turn bin:pkg qtmir-tests into Multi-Arch: foreign.
    + Move qtmir-tests bin:pkg into section 'libdevel'.
    + Adjust Maintainer: field and Uploaders: field to official upload to
      Debian.
    + Add Debian Qt/KDE Maintainers to Uploaders: field.
  * debian/rules:
    + Add get-orig-source target.
    + Move --fail-missing flag into dh_missing override.
    + Remove build-*/ during dh_clean. Makes build idempotent.
    + Don't build WITH_CONTENTHUB anymore. Obsolete in qtmir 0.6.1.
    + Drop now default --parallel DH build option.
    + Enable all hardening build flags.
    + Build with pkgkde_symbolshelper.
  * debian/patches:
    + Add 1002_drop-cgmanager-dependency.patch. Rip out cgmanager dependent
      code. This has been sanctioned by upstream.
    + Add 1003_INSTANTIATE_TEST_SUITE.patch. Use INSTANTIATE_TEST_SUITE macro,
      rather than deprecated INSTANTIATE_TEST_CASE macro.
    + Add 1004_remove-cmake-instructions-that-have-been-moved-into-
      FindGMock.patch. Drop CMake instructions that have been moved into
      FindGMock of cmake-extras.
    + Add 1005_add-missing-pthread-to-link-target.patch. Add missing -pthread
      linker argument. Probably to hard-coded, but works for now.
    + Add 2001_no-convert-to-gles-test.patch and 2002_no-requires-provides-
      check.patch. Disable tests fiddling around with files in debian/*. Not
      wanted by Debian maintainer.
    + Add 1006_make-sure-tracepoints-h-exists.patch. Make sure tracepoints.h
      exists for building library 'qtmirserver-mirserver'.
    + Add upstream bugs for all 100* patches.
    + Refer to a bug report for Debian-specific patches 200*_*.patch.
  * debian/source/format:
    + Add file.
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Rework copyright attributions, use individual-code-file style.
    + Also mention files we remove via patch.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/libqtmirserver1.symbols:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Oct 2020 01:31:45 +0200

qtmir (0.6.0ubuntu5) xenial; urgency=medium

  * Merge Multiscreen branch

  [ Nick Dedekind ]
  * Introduced QtMir API
  * Support for multiple compositors per MirSurface

