=== debian/watch ===
version=4
https://gitlab.com/ubports/core/qtmir/tags .*/qtmir-(\d\S+)\.tar\.gz
