## qtmir 0.7.0

=== debian/changelog ===
qtmir (0.7.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Update Homepage: field. Use upstream GitLab URL (instead of deprecated
      Github URL).

  [ Marius Gripsgard ]
  * debian/libqtmirserver1.symbols:
    + Refresh symbol file from buildd logs using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 May 2022 23:48:32 +0200

qtmir (0.7.0-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release v0.7.0
  * debian/patches: Drop upstreamed and unneeded patches, refresh patches:
    + Drop upstreamed and unneeded patches:
     - 0001_demo-fix-detecting-running-installed.patch
     - 0002_demos-fix-application-name.patch
     - 1002_drop-cgmanager-dependency.patch
     - 1003_INSTANTIATE_TEST_SUITE.patch
     - 1004_remove-cmake-instructions-that-have-been-moved-into-FindGMock.patch
     - 1005_add-missing-pthread-to-link-target.patch
     - 1006_make-sure-tracepoints-h-exists.patch
     - 1007_make-valgrind-dependency-optional.patch
     - 1008_drop-Werror-enforcement-leave-it-to-configure-option.patch
     - 2001_no-convert-to-gles-test.patch
     - 2004_qml-demo-shell-work-without-ui-toolkit.patch
    + Refreshed patches:
     - 2002_no-requires-provides-check.patch
     - 2003_disable-benchmarks.patch
  * debian/copyright: Update copyright to match new upstream release
  * debian/symbols: Update symbols to match new upstream release
  * debian/control: Drop qtmir-{android/desktop} and use a generic qtmir package
  * debian/control: Add myself as uploader
  * debian/control: Bump required versions for cmake-extras and googletest
  * debian/rules: Clean up rules and remove dual binary build (was for
    android/desktop split)
  * debian/qtmir-tests: Rename paths to match upstream renames
  * debian/control: Add qml-module-lomiri-components as DEP for qtmir-tests

  [ Mike Gabriel ]
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update more copyright attributions, finalize for upload.
  * debian/control:
    + Improve transitional packages, provide former info on the packages'
      content. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Apr 2022 09:45:49 +0200

qtmir (0.6.1-8) unstable; urgency=medium

  * debian/rules:
    + Comment out DPKG_GENSYMBOLS_CHECK_LEVEL=4. Let's use level 1 (default)
      and receive less build failures. (related to #997464).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/libqtmirserver1.symbols:
    + Update symbols after build with gcc-11. (Closes: #997464).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 13 Nov 2021 21:05:14 +0100
