=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders:
  Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
-               cmake-extras (>= 1.5-4~),
+               cmake-extras (>= 1.6~),
                debhelper-compat (= 13),
-               googletest (>= 1.6.0+svn437),
+               googletest (>= 1.10.0),
                libfontconfig1-dev,
                libgles2-mesa-dev,
                libglib2.0-dev,
@@ -40,58 +41,66 @@
                qtdeclarative5-dev,
                qtdeclarative5-private-dev,
                quilt,
-               valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 x32],
+               valgrind-if-available,
 # libmirserver-dev should have brought this dep. Bug lp:1617435
                uuid-dev,
 # mirtest pkgconfig requires these, but doesn't have a deb dependency. Bug lp:1633537
                libboost-filesystem-dev,
                libboost-system-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://github.com/ubports/qtmir
+Homepage: https://gitlab.com/ubports/core/qtmir
 Vcs-Git: https://salsa.debian.org/ubports-team/qtmir.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/qtmir
+
+Package: qtmir
+Architecture: linux-any
+Multi-Arch: same
+Breaks: qtmir-android (<< 0.7.0~),
+        qtmir-desktop (<< 0.7.0~),
+Replaces: qtmir-android (<< 0.7.0~),
+          qtmir-desktop (<< 0.7.0~),
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Qt platform abstraction (QPA) plugin for a Mir server
+ QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
+ It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
+ a Mir server. It also exposes some internal Mir functionality.
 
 Package: qtmir-android
 Architecture: armhf arm64
 Multi-Arch: same
-Conflicts: qtmir-desktop,
-           qtubuntu-desktop,
-Replaces: qtmir-desktop,
-          qtubuntu-desktop,
-Provides: qtmir,
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Description: Qt platform abstraction (QPA) plugin for a Mir server (mobile)
- QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
- It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
- a Mir server. It also exposes some internal Mir functionality.
+Depends: qtmir, ${misc:Depends},
+Section: oldlibs
+Description: QPA plugin for a Mir server (mobile, transitional package)
+  QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
+  It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
+  a Mir server. It also exposes some internal Mir functionality.
  .
  This variant of the package is for Android-based phones and tablets.
+ .
+ This is a transitional package. It can safely be removed.
 
 Package: qtmir-desktop
 Architecture: linux-any
 Multi-Arch: same
-Conflicts: qtmir-android,
-           qtubuntu-android,
-Replaces: qtmir-android,
-          qtubuntu-android,
-Provides: qtmir,
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Description: Qt platform abstraction (QPA) plugin for a Mir server (desktop)
+Depends: qtmir, ${misc:Depends},
+Section: oldlibs
+Description: QPA plugin for a Mir server (desktop, transitional package)
  QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
  It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
  a Mir server. It also exposes some internal Mir functionality.
  .
  This variant of the package is for GNU-based desktops.
+ .
+ This is a transitional package. It can safely be removed.
 
 Package: libqtmirserver-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: qtmir-desktop (= ${binary:Version}) | qtmir-android (= ${binary:Version}),
+Depends: qtmir (= ${binary:Version}),
          ${misc:Depends},
          libmiral-dev (>= 1.3.0),
 Description: Developer files for QtMir server API
@@ -118,7 +127,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: qtmir-desktop (= ${binary:Version}) | qtmir-android (= ${binary:Version}),
+Depends: qtmir (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: lomiri-application-impl,
@@ -129,8 +138,8 @@
  a Mir server. It also exposes some internal Mir functionality.
  .
  QtMir provides Qt/QML bindings for Mir features that are exposed through the
- qtmir-desktop or qtmir-android QPA plugin such as Application management
- (start/stop/suspend/resume) and surface management.
+ qtmir QPA plugin such as Application management (start/stop/suspend/resume)
+ and surface management.
 
 Package: qtmir-tests
 Section: libdevel
@@ -143,8 +152,9 @@
          python3-babeltrace,
          python3-evdev,
          python3-mir-perf-framework,
+         qml-module-lomiri-components,
          qml-module-qtmir,
-         qtmir-desktop (= ${binary:Version}) | qtmir-android (= ${binary:Version}),
+         qtmir (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: QtMir tests and demos
